<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zhentao.mapper.PointsOrderMapper">

    <resultMap id="BaseResultMap" type="com.zhentao.entity.PointsOrder">
            <id property="id" column="id" />
            <result property="orderNo" column="order_no" />
            <result property="makerId" column="maker_id" />
            <result property="productId" column="product_id" />
            <result property="productName" column="product_name" />
            <result property="productImage" column="product_image" />
            <result property="pointsPrice" column="points_price" />
            <result property="quantity" column="quantity" />
            <result property="review" column="review" />
            <result property="totalPoints" column="total_points" />
            <result property="status" column="status" />
            <result property="receiverName" column="receiver_name" />
            <result property="receiverPhone" column="receiver_phone" />
            <result property="receiverAddress" column="receiver_address" />
            <result property="expressCompany" column="express_company" />
            <result property="expressNo" column="express_no" />
            <result property="createTime" column="create_time" />
            <result property="updateTime" column="update_time" />
    </resultMap>

    <sql id="Base_Column_List">
        id,order_no,maker_id,product_id,product_name,product_image,
        points_price,quantity,review,total_points,status,
        receiver_name,receiver_phone,receiver_address,express_company,express_no,
        create_time,update_time
    </sql>
</mapper>
